We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/analytics/visits-dispersion \
--header 'Authorization: Bearer <token>'{
"analytics": {
"analytics_response": {
"key": "userAgent",
"data": [
{
"name": "mobile",
"dataset": [
{
"date": "2025-11-08T00:00:00.000Z",
"percent": "30.20"
}
]
}
]
}
}
}curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/analytics/visits-dispersion \
--header 'Authorization: Bearer <token>'{
"analytics": {
"analytics_response": {
"key": "userAgent",
"data": [
{
"name": "mobile",
"dataset": [
{
"date": "2025-11-08T00:00:00.000Z",
"percent": "30.20"
}
]
}
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
24_hours, 7_days, 30_days, 60_days "30_days"
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
"2025-10-20T00:00:00.000Z"
"2025-10-30T00:00:00.000Z"
Getting response visits dispersion analytics
Show child attributes